# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dfluid.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid2d/mia_2dfluid.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid2d/mia_2dfluid.py' can be created by running 'mia-2dfluid --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/fluid2d/mia_2dfluid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dfluid_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""input (test) image to be registered""", argstr="--in-image %s", exists=True , mandatory = True )
	ref_image = traits.File( desc="""reference image""", argstr="--ref-image %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	mgstart = traits.Int( desc="""multigrid start size""", argstr="--mgstart %d" )
	epsilon = traits.Float( desc="""optimization breaking condition""", argstr="--epsilon %f" )
	mu = traits.Float( desc="""elasticity parameter""", argstr="--mu %f" )
	lambda_ = traits.Float( desc="""elasticity parameter""", argstr="--lambda %f" )
	elastic = traits.Bool( desc="""use elastic registration""", argstr="--elastic" )
	out_transformation = File(desc="output transformation comprising the registration", argstr="--out-transformation %s" )
	out_image = File(desc="output image deformed according to the transformation", argstr="--out-image %s" )

#
# Output specification
#
class mia_2dfluid_OutputSpec(TraitedSpec):
	out_transformation = File(desc="output transformation comprising the registration")
	out_image = File(desc="output image deformed according to the transformation")


#
# Task class specification
#
class mia_2dfluid(CommandLine):
	input_spec = mia_2dfluid_InputSpec
	output_spec = mia_2dfluid_OutputSpec
	_cmd = "mia-2dfluid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_transformation']=os.path.abspath(self.inputs.out_transformation)
		outputs['out_image']=os.path.abspath(self.inputs.out_image)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dfluid()
	print( mia_prog.cmdline)
