# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dmyocard-ica.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_ica.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_ica.py' can be created by running 'mia-2dmyocard-ica --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dmyocard_ica.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyocard_ica_InputSpec(CommandLineInputSpec):
	in_base = traits.File( desc="""input file name ofolloing pattern nameXXXX.ext X=numbers""", argstr="--in-base %s", exists=True , mandatory = True )
	coefs = traits.String( desc="""output mixing coefficients to this file""", argstr="--coefs %s" )
	type = traits.Enum("-", "@", "BMP", "DCM", "EXR", "JPEG", "JPG", "PNG", "RAW", "TIF", "TIFF", "V", "VISTA", "bmp", "dcm", "exr", "jpeg", "jpg", "png", "raw", "tif", "tiff", "v", "vista",  desc="""output file type""", argstr="--type %s" )
	skip = traits.Int( desc="""skip images at beginning of series""", argstr="--skip %d" )
	end = traits.Int( desc="""last image in series""", argstr="--end %d" )
	components = traits.Int( desc="""nr. of components, 0=estimate automatically""", argstr="--components %d" )
	strip_mean = traits.Bool( desc="""strip mean image from series""", argstr="--strip-mean" )
	save_features = traits.String( desc="""save feature image""", argstr="--save-features %s" )
	strip_periodic = traits.Bool( desc="""strip only periodic component""", argstr="--strip-periodic" )
	fastica = traits.String( desc="""FastICA implementationto be used""", argstr="--fastica %s" )
	max_ica_iterations = traits.Int( desc="""max ICA solver iterations""", argstr="--max-ica-iterations %d" )
	ica_normalize = traits.Bool( desc="""ica_normalize feature images""", argstr="--ica-normalize" )
	all_features = traits.String( desc="""save all feature images to""", argstr="--all-features %s" )
	LV_crop_amp = traits.Float( desc="""LV crop mask amplification, 0.0 = don't crop""", argstr="--LV-crop-amp %f" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_base = File(desc="output file name base", argstr="--out-base %s" )

#
# Output specification
#
class mia_2dmyocard_ica_OutputSpec(TraitedSpec):
	out_base = File(desc="output file name base")


#
# Task class specification
#
class mia_2dmyocard_ica(CommandLine):
	input_spec = mia_2dmyocard_ica_InputSpec
	output_spec = mia_2dmyocard_ica_OutputSpec
	_cmd = "mia-2dmyocard-ica"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_base']=os.path.abspath(self.inputs.out_base)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyocard_ica()
	print( mia_prog.cmdline)
