# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-2dsegseriesstats.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegseriesstats.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegseriesstats.py' can be created by running 'mia-2dsegseriesstats --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_2dsegseriesstats.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegseriesstats_InputSpec(CommandLineInputSpec):
	original = traits.File( desc="""original segmentation set""", argstr="--original %s", exists=True , mandatory = True )
	registered = traits.File( desc="""registered segmentation set""", argstr="--registered %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""images to skip at the begin of the series, if (k < 0) use RV peak of the registered set if set""", argstr="--skip %d" )
	reference = traits.Int( desc="""reference frame for automatic curve extraction. Negative values can be used to indicate specific values (if given in the segmentation set):
   -3: Middle of the series
   -2: prefererred reference
   -1: LV peak
   if any of the above is not available or the value is < -3, use the last frame of the series.""", argstr="--reference %d" )
	nsections = traits.Int( desc="""number of sections to use, 0=use as segmented, otherwise Otherwise, the LV myocardium is divided into n sections that enclose equal angles starting at the right ventricle insertion point moving clock-wise using the LV center as angular point.""", argstr="--nsections %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	curves = File(desc="region average value curves, The output files each comprises a table in plain-text format that contains three columns for each section of the LV myocardium: The first column contains the values obtained by using the original segmentation of the reference on all images of the original series, the second column contains the values obtained by the registered segmentation of the reference on all images of the registered series, and the third column contains the values obtained by using the segmentations of each slice on the original images.", argstr="--curves %s" )
	varcurves = File(desc="region variation values, same formt as described above. ", argstr="--varcurves %s" )

#
# Output specification
#
class mia_2dsegseriesstats_OutputSpec(TraitedSpec):
	curves = File(desc="region average value curves, The output files each comprises a table in plain-text format that contains three columns for each section of the LV myocardium: The first column contains the values obtained by using the original segmentation of the reference on all images of the original series, the second column contains the values obtained by the registered segmentation of the reference on all images of the registered series, and the third column contains the values obtained by using the segmentations of each slice on the original images.")
	varcurves = File(desc="region variation values, same formt as described above. ")


#
# Task class specification
#
class mia_2dsegseriesstats(CommandLine):
	input_spec = mia_2dsegseriesstats_InputSpec
	output_spec = mia_2dsegseriesstats_OutputSpec
	_cmd = "mia-2dsegseriesstats"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['curves']=os.path.abspath(self.inputs.curves)
		outputs['varcurves']=os.path.abspath(self.inputs.varcurves)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegseriesstats()
	print( mia_prog.cmdline)
