# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dcost-translatedgrad.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dcost_translatedgrad.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dcost_translatedgrad.py' can be created by running 'mia-3dcost-translatedgrad --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dcost_translatedgrad.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dcost_translatedgrad_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image """, argstr="--in-file %s", exists=True , mandatory = True )
	ref_file = traits.File( desc="""reference image """, argstr="--ref-file %s", exists=True , mandatory = True )
	transForm = traits.String( desc="""Transformation the gradient relates to""", argstr="--transForm %s" )
	cost = traits.String( desc="""cost function to use""", argstr="--cost %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output vector field ", argstr="--out-file %s" , mandatory = True )
	gradimg_file = File(desc="norm image of the spline transformed gradient", argstr="--gradimg-file %s" )
	cost_gradimg_file = File(desc="norm image of the cost gradient", argstr="--cost-gradimg-file %s" )

#
# Output specification
#
class mia_3dcost_translatedgrad_OutputSpec(TraitedSpec):
	out_file = File(desc="output vector field ", exists = True )
	gradimg_file = File(desc="norm image of the spline transformed gradient")
	cost_gradimg_file = File(desc="norm image of the cost gradient")


#
# Task class specification
#
class mia_3dcost_translatedgrad(CommandLine):
	input_spec = mia_3dcost_translatedgrad_InputSpec
	output_spec = mia_3dcost_translatedgrad_OutputSpec
	_cmd = "mia-3dcost-translatedgrad"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['gradimg_file']=os.path.abspath(self.inputs.gradimg_file)
		outputs['cost_gradimg_file']=os.path.abspath(self.inputs.cost_gradimg_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dcost_translatedgrad()
	print( mia_prog.cmdline)
