# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dsegment-ahmed.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dsegment_ahmed.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dsegment_ahmed.py' can be created by running 'mia-3dsegment-ahmed --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dsegment_ahmed.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dsegment_ahmed_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	no_of_classes = traits.Int( desc="""number of classes""", argstr="--no-of-classes %d" )
	class_centres = traits.ListFloat( desc="""initial class centers, this parameter overrides 'no-of-clases'.""", argstr="--class-centres %s", sep=",")
	spread = traits.Float( desc="""spread parameter describing the strength of mattar distinction""", argstr="--spread %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	class_file = File(desc="class probability images, the image type must support multiple images and floating point values", argstr="--class-file %s" , mandatory = True )
	out_file = File(desc="Bias corrected image will be of the same type like the input image. If this parameter is not given, then the bias correction will not be applied.", argstr="--out-file %s" )

#
# Output specification
#
class mia_3dsegment_ahmed_OutputSpec(TraitedSpec):
	class_file = File(desc="class probability images, the image type must support multiple images and floating point values", exists = True )
	out_file = File(desc="Bias corrected image will be of the same type like the input image. If this parameter is not given, then the bias correction will not be applied.")


#
# Task class specification
#
class mia_3dsegment_ahmed(CommandLine):
	input_spec = mia_3dsegment_ahmed_InputSpec
	output_spec = mia_3dsegment_ahmed_OutputSpec
	_cmd = "mia-3dsegment-ahmed"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['class_file']=os.path.abspath(self.inputs.class_file)
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dsegment_ahmed()
	print( mia_prog.cmdline)
