# This file was generated by running 'miaxml2nipype.py /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/doc/mia-3dvf2transform.xml /build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvf2transform.py'
# '/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvf2transform.py' can be created by running 'mia-3dvf2transform --help-xml >/build/mia-QkwHXM/mia-2.4.6/obj-x86_64-linux-gnu/src/mia_3dvf2transform.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dvf2transform_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input transformation """, argstr="--in-file %s", exists=True , mandatory = True )
	imgkernel = traits.String( desc="""image interpolator kernel which is used when the transformation is applied to an image""", argstr="--imgkernel %s" )
	imgboundary = traits.String( desc="""Boundary condition applied when the transformation is used to transform an image""", argstr="--imgboundary %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output vector field ", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dvf2transform_OutputSpec(TraitedSpec):
	out_file = File(desc="output vector field ", exists = True )


#
# Task class specification
#
class mia_3dvf2transform(CommandLine):
	input_spec = mia_3dvf2transform_InputSpec
	output_spec = mia_3dvf2transform_OutputSpec
	_cmd = "mia-3dvf2transform"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dvf2transform()
	print( mia_prog.cmdline)
